Linked Services - Delete
Hiermee verwijdert u een gekoppeld service-exemplaar.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/linkedServices/{linkedServiceName}?api-version=2025-07-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
linked
|
path | True |
string |
Naam van de gekoppelde service. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
workspace
|
path | True |
string minLength: 4maxLength: 63 pattern: ^[A-Za-z0-9][A-Za-z0-9-]+[A-Za-z0-9]$ |
De naam van de werkruimte. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| 202 Accepted |
Het verwijderen van resources is geaccepteerd. Kopteksten
|
|
| 204 No Content |
Resource bestaat niet. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
LinkedServicesDelete
Voorbeeldaanvraag
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.OperationalInsights/workspaces/TestLinkWS/linkedServices/Cluster?api-version=2025-07-01
Voorbeeldrespons
{
"name": "TestLinkWS/Cluster",
"type": "Microsoft.OperationalInsights/workspaces/linkedServices",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/mms-eus/providers/microsoft.operationalinsights/workspaces/testlinkws/linkedservices/cluster",
"properties": {
"provisioningState": "Deleting",
"writeAccessResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/mms-eus/providers/Microsoft.OperationalInsights/clusters/testcluster"
}
}
azure-asyncoperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.OperaitonalInsights/locations/eastus/operationstatuses/62e4d893-d233-4005-988e-a428d9f77076?api-version=2025-07-01
Definities
| Name | Description |
|---|---|
|
created |
Het type identiteit waarmee de resource is gemaakt. |
|
Error |
Aanvullende informatie over de resourcebeheerfout. |
|
Error |
De foutdetails. |
|
Error |
Foutreactie |
|
Linked |
De container voor gekoppelde serviceresources op het hoogste niveau. |
|
Linked |
De inrichtingsstatus van de gekoppelde service. |
|
system |
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource. |
createdByType
Het type identiteit waarmee de resource is gemaakt.
| Waarde | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Aanvullende informatie over de resourcebeheerfout.
| Name | Type | Description |
|---|---|---|
| info |
object |
De aanvullende informatie. |
| type |
string |
Het extra informatietype. |
ErrorDetail
De foutdetails.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
De fout bevat aanvullende informatie. |
|
| code |
string |
De foutcode. |
| details |
De foutdetails. |
|
| message |
string |
Het foutbericht. |
| target |
string |
Het foutdoelwit. |
ErrorResponse
Foutreactie
| Name | Type | Description |
|---|---|---|
| error |
Het foutobject. |
LinkedService
De container voor gekoppelde serviceresources op het hoogste niveau.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}" |
| name |
string |
De naam van de resource |
| properties.provisioningState |
De inrichtingsstatus van de gekoppelde service. |
|
| properties.resourceId |
string |
De resource-id van de resource die wordt gekoppeld aan de werkruimte. Dit moet worden gebruikt voor het koppelen van resources waarvoor leestoegang is vereist |
| properties.writeAccessResourceId |
string |
De resource-id van de resource die wordt gekoppeld aan de werkruimte. Dit moet worden gebruikt voor het koppelen van resources waarvoor schrijftoegang is vereist |
| systemData |
Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens. |
|
| tags |
object |
Resourcetags. |
| type |
string |
Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts' |
LinkedServiceEntityStatus
De inrichtingsstatus van de gekoppelde service.
| Waarde | Description |
|---|---|
| Succeeded |
Succeeded |
| Deleting |
Verwijderen |
| ProvisioningAccount |
ProvisioningAccount |
| Updating |
Bijwerken |
systemData
Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
De tijdstempel van het maken van resources (UTC). |
| createdBy |
string |
De identiteit waarmee de resource is gemaakt. |
| createdByType |
Het type identiteit waarmee de resource is gemaakt. |
|
| lastModifiedAt |
string (date-time) |
De tijdstempel van de laatste wijziging van de resource (UTC) |
| lastModifiedBy |
string |
De identiteit die de resource voor het laatst heeft gewijzigd. |
| lastModifiedByType |
Het type identiteit dat de resource voor het laatst heeft gewijzigd. |